<template>
    <div>
        <div v-if="$vuetify.breakpoint.smAndUp">
            <div @mouseenter="hover = true" @mouseleave="hover = false">
                <v-navigation-drawer
                    app
                    clipped
                    expand-on-hover
                    color="secondary"
                    elevation="2"
                    permanent
                    :class="{ aaa: hover }"
                >
                    <v-list dense nav class="py-0 grey--text">
                        <v-list-item
                            v-for="item in items"
                            :key="item.title"
                            link
                            @click="Fn(item.onclick)"
                        >
                            <v-list-item-icon>
                                <v-icon>{{ item.icon }}</v-icon>
                            </v-list-item-icon>
                            <v-list-item-content>
                                <v-list-item-title class="subtitle-1">{{
                                    item.title
                                }}</v-list-item-title>
                            </v-list-item-content>
                        </v-list-item>
                    </v-list>
                </v-navigation-drawer>
            </div>
            <v-overlay :value="hover" z-index="3"> </v-overlay>
        </div>
        <div v-else>
            <v-btn
                fab
                light
                v-for="(item, i) in items"
                :key="item.title"
                color="secondary accent-2"
                class="btn"
                :class="'btn' + (i + 1)"
            >
                <v-icon>{{ item.icon }}</v-icon>
            </v-btn>
        </div>
    </div>
</template>

<script>
export default {
    name: "sideDrawer",
    data: () => ({
        items: [
            {
                icon: "mdi-file-document-edit-outline",
                title: "编辑",
                onclick: "to_write",
            },
            {
                icon: "mdi-account-multiple",
                title: "用户",
                onclick: "to_user",
            },
            {
                icon: "mdi-file-star",
                title: "项目",
                onclick: "to_project",
            },
            /*{
                icon: "mdi-file-star",
                title: "项目2",
                onclick: "to_project2",
            }
      {
        icon: 'mdi-file-document',
        title: '文件',
        onclick: 'to_file'
      },,
            {
                icon: "mdi-chat-outline",
                title: "聊天",
                onclick: "to_chat",
            },*/
        ],
        hover: false,
    }),
    methods: {
        Fn(method) {
            this[method]();
        },
        to_project() {
            this.$router.push("/project");
        },
        to_project2() {
            this.$router.push("/project2");
        },
        to_write() {
            this.$router.push("write");
        },
        to_user() {
            this.$router.push("/user");
        },
        to_file() {
            this.$router.push("/file");
        },
        to_chat() {
            this.$router.push("/chat");
        },
    },
};
</script>

<style scoped>
.aaa {
    box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2), 0px 4px 5px 0px rgba(0, 0, 0, 0.14),
        0px 1px 10px 0px rgba(0, 0, 0, 0.12);
    color: rgb(228, 223, 249);
}
.btn {
    position: fixed;
    left: -16px;
    z-index: 4;
}
.btn1 {
    bottom: 160px;
}
.btn2 {
    bottom: 88px;
}
.btn3 {
    bottom: 16px;
}
.sss {
    color: #f57ce1;
}
.ss {
    color: #b4fdff;
}
.s {
    color: #dd23be;
}
</style>
